
button.link, span.link, button.delete, span.delete {
	cursor: pointer;
}



button {
	background: none;
	background-color: transparent;
	padding: 0;
	margin: 0;
	border: 0;
	width: auto;
	font-size: 100%;
}

select {
	width: 100%;
	margin: 0;
	box-sizing: border-box;
	border: 1px solid #ababab;
	border-radius: 0;
	border-top-right-radius: 6px;
	border-bottom-right-radius: 6px;
	padding: 4px 56px 4px 8px;
	background-color: #fff;
	color: #414143;
	font-family: "Nunito Sans", Helvetica, Arial, sans-serif;
	font-weight: 500;
	font-size: 16px;
	line-height: 22px;
	-webkit-appearance: none;
	-moz-appearance: none;
	-ms-appearance: none;
	-o-appearance: none;
	appearance: none;
}
select:focus {
	outline: 0;
}
optgroup {
	font-family: "Nunito Sans", Helvetica, Arial, sans-serif;
}
.select-wrapper {
	position: relative;	
	width: 100%;
	margin: 2px 0;
	display: inline-block;
	min-width: 128px;
	height: 32px;
}
.select-wrapper:after {
  	position: absolute;
  	top: 0;
  	right: 0;
  	height: 100%;
  	border: 1px solid #ababab;
  	border-radius: 0;
	border-top-right-radius: 6px;
	border-bottom-right-radius: 6px;
	background-color: #40C2D7;
	background: linear-gradient(#26B9D2 49%, #00ADCA 50%);
  	color: #fff;
  	content: '\f107';
	font-family: FontAwesome;
	font-size: 1.4em;
	vertical-align: middle;
	box-sizing: border-box;
	padding: 5px 12px;
	height: 32px;
	line-height: 1;
  	pointer-events: none;
}
.filterbox select {
	height: 30px;
	padding: 2px 56px 2px 8px;
	font-size: 0.9em;
	line-height: 20px;
}
.filterbox .select-wrapper {
	width: auto;
}
.filterbox .select-wrapper:after {
	background: linear-gradient(#87A8B6 49%, #759CAB 50%);
	padding: 4px 12px;
	height: 30px;
	font-size: 1.3em;
}
select::-ms-expand {
  display: none;
}

/** AUTOCOMPLETE **/
.autocomplete-wrapper {
	position: relative;	
	z-index: 2000;
	width: 100%;
	height: 32px;
	margin: 2px 0;
	min-width: 80px;
}
.autocomplete-wrapper input[type="text"] {
	width: 100%;
	margin: 0;
	border-radius: 0;
	border-top-right-radius: 6px;
	border-bottom-right-radius: 6px;
}
.autocomplete-wrapper:after {
  	position: absolute;
  	top: 0;
  	right: 0;
  	height: 100%;
  	border: 1px solid #ababab;
  	border-radius: 0;
	border-top-right-radius: 6px;
	border-bottom-right-radius: 6px;
	background-color: #40C2D7;
	background: linear-gradient(#26B9D2 49%, #00ADCA 50%);
  	color: #fff;
  	content: '\f107';
	font-family: FontAwesome;
	font-size: 1.4em;
	vertical-align: middle;
	box-sizing: border-box;
	padding: 5px 12px;
	height: 32px;
	line-height: 1;
	cursor: default;
}
.autocomplete-wrapper ul {
	position: absolute;
	left: 0;
	top: 32px;
	background-color: rgba(255,255,255,0.95);
	box-sizing: border-box;
	padding: 0.5em 0;
	margin: 0;
	width: auto;
	min-width: 100%;
	max-width: 600px;
	max-height: 600px;
	overflow-y: auto;
	box-shadow: 0 5px 5px rgba(0,0,0,0.5);
	color: #878787;
	font-family: "Nunito Sans", Helvetica, Arial, sans-serif;
	font-weight: 500;
	font-size: 14px;
}
.autocomplete-wrapper ul li {
	margin: 0;
	padding: 0.5em 1em;
	cursor: pointer;
}
.autocomplete-wrapper ul li:hover {
	background-color: #f7f7f7;
	color: #414143;
}
.filterbox .autocomplete-wrapper {
	width: auto;
}
.filterbox .autocomplete-wrapper:after {
	background: linear-gradient(#87A8B6 49%, #759CAB 50%);
	padding: 4px 12px;
	height: 30px;
	font-size: 1.3em;
}
/** SEARCH BOX **/

.search-wrapper {
	position: relative;	
	z-index: 2000;
	width: auto;
	margin: 2px 0;
	min-width: 80px;
}
.search-wrapper input[type="text"] {
	width: 100%;
	margin: 0;
	border-top-right-radius: 6px;
	border-bottom-right-radius: 6px;
}
.search-wrapper button.btn, .search-wrapper button.btn.btn-primary {
	display: inline-block;
	position: absolute;
	top: 0;
	right: 0;
	margin: 0;
	border: 1px solid #ababab;
	border-radius: 0;
	border-top-right-radius: 6px;
	border-bottom-right-radius: 6px;
	vertical-align: middle;
	box-sizing: border-box;
	padding: 5px 15px;
	height: 32px;
	font-size: 1em;
}
.search-wrapper input[type="text"]:focus + button.btn, .search-wrapper input[type="text"]:focus + button.btn.btn-primary {
	border: 1px solid #00adca;
}
.search-wrapper button.btn:active, .search-wrapper button.btn.btn-primary:active {
	border: 1px solid #ababab;
}
.search-wrapper button.btn i.fa, .search-wrapper button.btn.btn-primary i.fa {
	margin: 0;
}
input + label {	
	display: inline-block;
	margin: 2px 10px 2px 0px;
	border: 1px solid #d9d8d9;
	border-radius: 6px;
	padding: 0.4em 1.2em 0.4em 0.4em;
}
input + label:hover {
	background: #f0f0f0;
	cursor: pointer;
}
input[type="text"], input[type="password"], input[type="datetime"], input[type="datetime-local"], input[type="date"], input[type="month"], input[type="time"], input[type="week"], input[type="number"], input[type="email"], input[type="url"], input[type="search"], input[type="tel"], input[type="color"], textarea {
	width: 100%;
	box-sizing: border-box;
	min-width: 80px;
	margin: 2px 0;
	border: 1px solid #ababab;
	padding: 4px 8px;
	background-color: #ffffff;
	color: #414143;
	font-family: "Nunito Sans", Helvetica, Arial, sans-serif;
	font-weight: 500;
	font-size: 16px;
	line-height: 22px;
	outline: 0;
}
input[type="text"].disabled, input[type="text"]:disabled, input[type="password"].disabled, input[type="password"]:disabled, textarea:disabled {
	opacity: 0.3;
	cursor: default;
}
input[type="text"]:focus, input[type="password"]:focus, textarea:focus {
	border-color: #00adca;
	border-width: 1px;
	border-style: solid;
	outline: 2px solid rgba(0,173,202,0.3);
}
input[type="text"].error, input[type="password"].error, textarea.error {
	border-color: #ff7451;
	background-color: #fff6f3;
	border-width: 1px;
	border-style: solid;
	color: #414143;
}
input[type="text"].error:focus, input[type="password"].error:focus, textarea.error:focus {
	border-color: #ff7451;
	outline: 2px solid rgba(255,116,81,0.3);
	color: #414143;
}
.filterbox input[type="text"], .filterbox input[type="password"], .filterbox input[type="datetime"], .filterbox input[type="datetime-local"], .filterbox input[type="date"], .filterbox input[type="month"], .filterbox input[type="time"], .filterbox input[type="week"], .filterbox input[type="number"], .filterbox input[type="email"], .filterbox input[type="url"], .filterbox input[type="search"], .filterbox input[type="tel"], .filterbox input[type="color"], .filterbox textarea {
	width: auto;
}


/** CHECK BOX **/
input[type="checkbox"] {
	margin: 0;
}

input[type="checkbox"].cb { 
	display:none; 
} 
input[type="checkbox"].cb + label {
	display: inline-block;
	vertical-align: middle;
	padding-left: calc(0.4em + 30px);
	text-indent: -30px;
	min-width: 25%;
	box-sizing: border-box;
}
input[type="checkbox"].cb + label:before {
	display: inline-block;
	box-sizing: border-box;
	vertical-align: middle;
	vertical-align: -0.5em;
	margin-right: 10px;
	border-radius: 3px;
	width: 20px;
	height: 20px;
	padding: 5px;
}
input[type="checkbox"].cb + label:before {
	font-size: 11px;
	content: "\0020"; 
	border: 1px solid #ababab;
	background-color: #c3c3c3;
} 
input[type="checkbox"].cb + label:active:before { 
	border: 1px solid #9b9b9b;
	background-color: #9b9b9b;
} 
input[type="checkbox"].cb:checked + label:before { 
	border: 1px solid #00adca;
	background-color: #33bdd5;
	background-image: url(../images/cb-checked.svg);
	background-position: center;
	background-size: contain;
	background-repeat: no-repeat;
} 
input[type="checkbox"].cb:checked + label:active:before { 
	border: 1px solid #0091B5;
	background-color: #0091B5;
} 
input[type="checkbox"].cb + label.empty {
	padding-left: calc(0.4em + 30px);
	text-indent: 0;
	min-width: none;
	margin: 2px 0 2px 0;
	border: 0;
	padding: 0;
}
input[type="checkbox"].cb + label.empty:before {
	margin-right: 0;
}
 
/** RADIO BUTTON **/
input[type="radio"].rb { 
	display:none; 
} 
input[type="radio"].rb + label {
	display: inline-block;
	vertical-align: middle;
	padding-left: calc(0.4em + 30px);
	text-indent: -30px;
	min-width: 25%;
	box-sizing: border-box;
}
input[type="radio"].rb + label:before {
	display: inline-block;
	box-sizing: border-box;
	vertical-align: middle;
	vertical-align: -0.5em;
	margin-right: 10px;
	border-radius: 20px;
	width: 20px;
	height: 20px;
	padding: 5px;
}
input[type="radio"].rb + label:before {
	font-size: 11px;
	content: "\0020"; 
	border: 1px solid #ababab;
	background-color: #c3c3c3;
} 
input[type="radio"].rb + label:active:before {
	border: 1px solid #9b9b9b;
	background-color: #9b9b9b;
} 

input[type="radio"].rb:checked + label:before { 
	border: 1px solid #00adca;
	background-color: #33bdd5;
	background-image: url(../images/rb-checked.svg);
	background-position: center;
	background-size: contain;
	background-repeat: no-repeat;
} 
input[type="radio"].rb:checked + label:active:before {
	border: 1px solid #0091B5;
	background-color: #0091B5;
} 
 
/** switch **/
input[type="checkbox"].switch { 
	display:none; 
} 
input[type="checkbox"].switch + label {
	display: inline-block;
	vertical-align: middle;
	padding-left: 1px;
	padding-right: 1px;
	margin: 2px -10px 2px 0;
	text-indent: 0;
	border: 0;
}
input[type="checkbox"].switch + label:hover {
	background: transparent;
}
input[type="checkbox"].switch + label:before {
	display: inline-block;
	box-sizing: border-box;
	vertical-align: middle;
	vertical-align: -0.5em;
	margin-right: 10px;
	border-radius: 20px;
	width: 48px;
	height: 24px;
	padding: 5px;
}
input[type="checkbox"].switch + label:before {
	font-size: 11px;
	content: "\0020"; 
	border: 1px solid #ababab;
	background-color: #c3c3c3;
	background-image: url(../images/switch.svg);
	background-position: left;
	background-size: contain;
	background-repeat: no-repeat;
	transition: all .15s;
} 
input[type="checkbox"].switch + label:active:before {
	border: 1px solid #9b9b9b;
	background-color: #9b9b9b;
} 

input[type="checkbox"].switch:checked + label:before { 
	border: 1px solid #00adca;
	background-color: #33bdd5;
	background-image: url(../images/switch.svg);
	background-position: right;
	background-size: contain;
	background-repeat: no-repeat;
	transition: all .15s;
} 
input[type="checkbox"].switch:checked + label:active:before {
	border: 1px solid #0091B5;
	background-color: #0091B5;
} 

input[type="file"] {
	width: 0.1px;
	height: 0.1px;
	opacity: 0;
	overflow: hidden;
	position: absolute;
	z-index: -1;
}
.file-wrapper {
	position: relative;
	width: auto;
	margin: 2px 0;
	display: inline-block;
	min-width: 128px;
	height: 32px;
}
.file-wrapper .fvalue {
	display: block;
	width: 100%;
	height: 32px;
	margin: 0;
	box-sizing: border-box;
	border: 1px solid #ababab;
	border-radius: 0;
	border-top-right-radius: 6px;
	border-bottom-right-radius: 6px;
	padding: 4px 56px 4px 8px;
	background-color: #fff;
	color: #414143;
	font-family: "Nunito Sans", Helvetica, Arial, sans-serif;
	font-weight: 500;
	font-size: 16px;
	line-height: 22px;
	white-space: nowrap;
	-webkit-appearance: none;
	-moz-appearance: none;
	-ms-appearance: none;
	-o-appearance: none;
	appearance: none;
}
input[type="file"] + label {
	position: absolute;
	right: 0;
	top: 0;
    display: block;
    margin: 0;
    height: 32px;
	box-sizing: border-box;
  	padding: 8px 18px;
	font-family: "Nunito Sans", Helvetica, Arial, sans-serif;
	font-weight: 600;
	font-size: 1em;
  	line-height: 1;
	letter-spacing: 0;
  	text-align:center;
  	cursor: pointer;
	border: 1px solid #ababab;
	border-radius: 0;
	border-top-right-radius: 6px;
	border-bottom-right-radius: 6px;
	background-color: #26B9D2;
	background: linear-gradient(#26B9D2 49%, #00ADCA 50%);
  	color: #fff !important;
}
input[type="file"]:focus + label {
	outline: 1px dotted #000;
	outline: -webkit-focus-ring-color auto 5px;
}
input[type="file"]:focus + label,
input[type="file"] + label:hover {
  	color: #fff;
	border: 1px solid #ababab;
	background-color: #1BAAC7;
	background: linear-gradient(#1BAAC7 49%, #009FBF 50%);
}
input[type="file"] + label:active {
	padding-top: 9px;
	padding-bottom: 7px;
}
input[type="file"] + label * {
	pointer-events: none;
}
input[type="file"] + label i.fa {
	margin: -0.15em 0.3em -0.15em -0.35em;
}

a.btn {
	display: inline-block;
}
button.btn, 
a.btn, 
input[type="button"].btn, 
input[type="submit"].btn {
	box-sizing: border-box;
	border-radius: 8px;
  	padding: 10px 30px;
	border: 1px solid #87A8B6;
	background-color: #87A8B6;
	background: linear-gradient(#87A8B6 49%, #759CAB 50%);
  	color: #fff;
	font-family: "Nunito Sans", Helvetica, Arial, sans-serif;
	font-weight: 600;
	font-size: 1em;
  	line-height: 1;
	letter-spacing: 0;
  	text-align:center;
  	cursor: pointer;
  	outline: 0;
}
button.btn:hover, 
a.btn:hover, 
input[type="button"].btn:hover, 
input[type="submit"].btn {
}
button.btn:active, 
a.btn:active, 
input[type="button"].btn:active, 
input[type="submit"].btn:active {
	position: relative;
	top: 1px;
}
/** DEFAULT **/
button.btn, 
a.btn, 
input[type="button"].btn, 
input[type="submit"].btn {
	border: 1px solid #87A8B6;
	background-color: #87A8B6;
	background: linear-gradient(#87A8B6 49%, #759CAB 50%);
}
button.btn:hover, 
a.btn:hover, 
input[type="button"].btn:hover, 
input[type="submit"].btn:hover {
	border: 1px solid #7093A3;
	background-color: #7093A3;
	background: linear-gradient(#7093A3 49%, #618999 50%);
}
button.btn:active, 
a.btn:active, 
input[type="button"].btn:active, 
input[type="submit"].btn:active {
	border: 1px solid #4D7688;
	background-color: #4D7688;
	background: linear-gradient(#4D7688 49%, #4D7688 50%);
}
button.btn-block, 
a.btn-block, 
input[type="button"].btn-block, 
input[type="submit"].btn-block {
	width: 100%;
}
/** PRIMARY **/
button.btn.btn-primary, 
a.btn.btn-primary, 
input[type="button"].btn-primary, 
input[type="submit"].btn-primary {
	border: 1px solid #26B9D2;
	background-color: #26B9D2;
	background: linear-gradient(#26B9D2 49%, #00ADCA 50%);
}
button.btn.btn-primary:hover, 
a.btn.btn-primary:hover, 
input[type="button"].btn.btn-primary:hover, 
input[type="submit"].btn.btn-primary:hover {
	border: 1px solid #1BAAC7;
	background-color: #1BAAC7;
	background: linear-gradient(#1BAAC7 49%, #009FBF 50%);
}
button.btn.btn-primary:active, 
a.btn.btn-primary:active, 
input[type="button"].btn.btn-primary:active, 
input[type="submit"].btn.btn-primary:active {
	border: 1px solid #0091B5;
	background-color: #0091B5;
	background: linear-gradient(#0091B5 49%, #0091B5 50%);
}

/** DELETE **/
button.btn.btn-delete, 
a.btn.btn-delete, 
input[type="button"].btn.btn-delete, 
input[type="submit"].btn.btn-delete {
	border: 1px solid rgba(150,56,45,0.2);
	background: none;
	background-color: transparent;
	color: #A54638;
}
button.btn.btn-delete:hover, 
a.btn.btn-delete:hover, 
input[type="button"].btn.btn-delete:hover, 
input[type="submit"].btn.btn-delete:hover {
	border: 1px solid rgba(150,56,45,0.2);
	background-color: rgba(150,56,45,0.1);
	color: #96382D;
}
button.btn.btn-delete:active, 
a.btn.btn-delete:active, 
input[type="button"].btn.btn-delete:active, 
input[type="submit"].btn.btn-delete:active {
	border: 1px solid rgba(150,56,45,0);
	background-color: rgba(150,56,45,0.2);
	color: #96382D;
}
button.btn.btn-sml, 
a.btn.btn-sml, 
input[type="button"].btn.btn-sml, 
input[type="submit"].btn.btn-sml {
	padding: 6px 18px;
	font-size: 0.8em;
}

/**** BEGIN FORMS ****/

.formbox {
	box-sizing: border-box;
	margin: 1em 0;
	border-radius: 10px;
	background-color: #e9e9e8;
	padding: 30px;
	text-align: left;
}
.formbox .control-group {
	width: 100%;
	clear: both;
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	border-bottom: 0 solid #d9d9d8;
	min-height: 44px;
}

.formbox .control-label {
	position: relative;
	display: inline-block;
	box-sizing: border-box;
	padding: 12px 2.5em 12px 0;
	width: 45%;
	border: 0;
	vertical-align: middle;
	font-family: "Overpass", Helvetica, Arial, sans-serif;
	font-weight: 400;
	font-size: 1.02em;
	line-height: 1.3em;
	color: #808080;
}
.formbox .control-label i.fa {
	position: absolute;
	color: #a9c1ca;
	margin-left: 0;
	right: 0.6em;
	top: auto;
}
.formbox .controls {
	display: inline-block;
	box-sizing: border-box;
	padding: 3px 0;
	width: 45%;
	border: 0; 
	vertical-align: middle;
}
.formbox .controls, .formbox .controls label {
	font-family: "Nunito Sans", Helvetica, Arial, sans-serif;
	font-weight: 600;
	font-size: 0.94em;
	color: #414143;
}
.formbox .control-group .control-heading {
	margin: 0;
	padding: 15px 0 11px 0;
    font-size: 1.1em;
    line-height: 1;
	letter-spacing: -0.01em;
    font-family: "Overpass";
    font-weight: 500;
    color: #414143;
}
.formbox .control-group .control-table {
	margin: 0;
	padding: 3px 0 0 0;
	width: 100%;
}
.formbox .control-group .control-table .dtbox {
	margin-top: 0;
}
.formbox .control-message {
	display: inline-block;
	box-sizing: border-box;
	padding: 3px 0;
	border: 0;
	width: 29%;
	vertical-align: middle;
}
.formbox .control-note {
	display: inline-block;
	box-sizing: border-box;
	padding: 3px 12px;
	border: 0;
	width: 100%; 
	vertical-align: middle;
	/* max-height: 80px; */
	overflow-y: auto;
	font-size: 0.9em;
	font-style: italic;
	font-weight: 300;
	line-height: 1.15;
	color: #848484;
}
.formbox .control-actions {
	padding-top: 20px;
}
.formbox .required:after {
	content: '*';
	padding-left: 0.6em;
	color: #CFA53B;
	font-size: 0.9em;
	font-weight: 600;
}
.formbox .form-note { 
	margin-bottom: 1em;
	font-size: 0.9em;
	font-style: italic;
	font-weight: 300;
	line-height: 1.15;
	color: #848484;
}
.formbox .form-note .required {
	padding: 0;
	color: #CFA53B;
	font-size: 0.9em;
	font-weight: 600;
}
.formbox .form-note .required:after {
	content: none;
}
.control-note strong, .control-note b, .form-note strong, .form-note b {
	color: #545454;
}
.formbox .formcols {
	display: flex;
	align-items: center;
	flex-wrap: wrap;
}
.formbox .label {
	margin: 2px 0;
	box-sizing: border-box;
	vertical-align: middle;
	padding: 0 8px;
	font-family: "Nunito Sans", Helvetica, Arial, sans-serif;
	font-weight: 600;
	font-size: 0.94em;
	color: #414143;
	text-align: center;
}
.formbox .label.left {
	text-align: left;
}
.formbox.narrow .control-group {
	padding-top: 10px;
}
.formbox.narrow .control-label {
	display: block;
	width: 100%;
	padding: 11px 0 3px 0;
}
.formbox.narrow .controls {
	display: block;
	width: 100%;
}
.formbox.narrow .control-message {
	display: block;
	width: 100%;
}
.formbox.narrow .control-note {
	display: block;
	width: 100%;
	padding: 3px 0;
}
.formbox.narrow p {
	margin: 0 0 0.3em 0;
	font-size: 1em;
}

#floating-panel {
	margin: 0.3em ;
}
#geocodeSearchButton {
	padding: 0.3em ;
}
/**** END FORMS ****/


@media screen and (max-width:640px) {
	#title {
		display: none;
	}
	.formbox .control-group {
		padding-top: 10px;
	}
	.formbox .control-label {
		width: 100%;
	}
	.formbox .controls {
		width: 100%;
	}
	.formbox .control-message {
		width: 100%;
		margin-left:0;
	}
	.formbox .control-note {
		width: 100%;
	}
	.formbox input[type="radio"].rb + label  {
		width: 100%;
		max-width: none;
	}
	.formbox input[type="checkbox"].cb + label  {
		width: 100%;
		max-width: none;
	}
}